*{
    box-sizing: border-box;
    margin:0;
    padding:0;
}
body{
    display: flex;
    flex-direction: column;
    width: 100vw;
    flex-wrap: wrap;
    background-color: rgb(255, 255, 255);
    background-image: url(images/bg4.jpg); 
    font-family: Verdana, sans-serif;
    /* color:rgba(193,232,213,255);  */
    /* color:rgba(254,234,227,255); */
    color:rgba(254,70,118,255);
    /* color:rgba(255,181,180,255);  */
    height: 100vh; 
    align-items: center;
    justify-content: center;
}

h1{
    font-size: 30px;
    color: rgb(145, 45, 227); 
} 
.title-container{
    padding: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.cards-container{
    padding: 10px;
    display: grid;
    grid-template-rows: 100px 100px ;
    grid-template-columns: 60px 60px 60px 60px;
    grid-gap: 20px 10px;
    place-items: center;
    justify-content: center;
}
.opt-container{
    padding: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    font-size: large;
    font-weight: bold;

}
img {
    width: 100%;
    height: auto;
    border-radius: 2px;
}
button{
    background-color: rgb(255, 255, 255);
    font-family: Verdana, sans-serif;
    /* color: rgb(145, 45, 227); 
    color: rgba(254,70,118,255); */
    color: rgba(251,75,148,255);
    font-size: large;
    font-weight: bold;
    border: 0cap;
}
button:hover{
    background-color:rgba(251,75,148,255) ;
    color: white;
    padding: 2px;
    border-radius: 4px;
}
.card{
    justify-items: center;
    display: flex;
    align-items: center;
    position: relative;
    cursor: pointer;
}
.card-back{
    position: absolute;
    border-radius: 50%;
    top: 0;
    left: 0;
}

.card-front{
    transform: rotateY(90deg); 
    transition: all ease-in 0.25s;
    border-radius: 20%;
}

@media only screen and (min-width: 600px) {
    .cards-container{       
        padding: 5px;
        display: grid;
        grid-template-rows: 150px 150px ;
        grid-template-columns: 150px 150px 150px 150px ;
        grid-gap: 20px 10px;
        place-items: center;
    }
    h1{
        font-size: 40px;
        color: rgb(145, 45, 227); 
    } 
    
}
@media only screen and (min-width: 1022px) {
    .cards-container{
        padding: 10px;
        display: grid;
        grid-template-rows: 200px 200px ;
        grid-template-columns: 200px 200px 200px 200px;
        grid-gap: 20px 10px;
        place-items: center;
        justify-content: center;
    }  
    h1{
        font-size: 40px;
        color: rgb(145, 45, 227); 
    }  
}
@media only screen and (max-height:420px){
    .title-container{
        padding: 0px;
    }
    .opt-container{
        padding: 0px;
    }
}
/* js css */
.toggled .card-front { 
    transform: rotateY(0deg); 
    transition-delay: 0.25s; 
} 

.item .card-back { 
    transition: all ease-in 0.25s; 
    transition-delay: 0.25s; 
} 
  
.toggled .card-back { 
    transform: rotateY(90deg); 
    transition-delay: 0s; 
}